BillKit/Docs Console
Usage records

Get usage summary

See what the next period close will bill, before it bills it.

GET/v1/subscriptions/{subscription_id}/usage_summary
Operation get_usage_summary · Scope usage_records:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
subscription_idstring · pathrequiredNo description in the spec.

Returns

Returns an UsageSummaryResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the usage_records:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/subscriptions/sub_9XKp2vQ1/usage_summary \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "currency": "EUR",
  "gross_cents": 1900,
  "livemode": false,
  "minimum_charge_cents": 1900,
  "net_cents": 1900,
  "object": "usage_summary",
  "open_invoice_id": "open_invoice_9XKp2vQ1",
  "pending_quantity": 0,
  "pending_record_count": 0,
  "period_end": 0,
  "period_start": 0,
  "subscription_id": "sub_9XKp2vQ1",
  "tax_cents": 1900,
  "will_charge": false
}